using PlcSiemens.O;
using PlcSiemens.Protocol.Common;
using PlcSiemens.Protocol.Control;
using PlcSiemens.Protocol.DateTime;

namespace PlcSiemens.ProtocolHandle
{
    public class PlcHotStartHandle : IPacketHandle
    {
        public PlcHotStartRequest Request { get; set; }
        public ControlResponse Response { get; set; }

        public ResultCode ResultCode { get; set; }

        public PlcHotStartHandle()
        {
            ResultCode = ResultCode.Unknown;
            Request = new PlcHotStartRequest();
        }

        public void Handle(IIsoSender sender)
        {
            Response = sender.IsoSend<PlcHotStartRequest, ControlResponse>(Request);

            if (Response == null) return;

            ResultCode = Response.Header.Error;
        }
    }
}
